## python-oslo.metrics 0.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=3.1.1 # Apache-2.0

# General
oslo.utils>=3.41.0
oslo.log>=3.44.0
oslo.config>=6.9.0

# Metrics Exporter
prometheus-client>=0.6.0

## python-oslo.metrics 0.3.0

=== debian/changelog ===
python-oslo.metrics (0.3.0-0ubuntu2~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 13 Oct 2021 09:35:57 +0000

python-oslo.metrics (0.3.0-0ubuntu2) impish; urgency=medium

  * d/p/bug1945533.patch: Cherry pick permissions fix to harden the
    socket used for metrics (LP: #1945533).

 -- James Page <james.page@ubuntu.com>  Wed, 13 Oct 2021 09:41:23 +0100

python-oslo.metrics (0.3.0-0ubuntu1) impish; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 13:39:37 -0400

=== debian/control ===
Source: python-oslo.metrics
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
Build-Depends-Indep:
 python3-oslo.config (>= 1:6.9.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.utils (>= 3.41.0),
 python3-prometheus-client (>= 0.6.0),
 python3-oslotest (>= 1:3.2.0),
 python3-stestr (>= 2.0.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.metrics
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.metrics
Homepage: https://opendev.org/openstack/oslo.metrics

Package: python3-oslo.metrics
Architecture: all
Depends:
 python3-pbr (>= 3.1.1),
 python3-oslo.config (>= 1:6.9.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.utils (>= 3.41.0),
 python3-prometheus-client (>= 0.6.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack library for metric collection
 oslo.metrics is the OpenStack library for collecting metrics data from other Oslo
 libraries and exposing metrics data to monitoring system.
 .
 This package contains the Python 3 module.

## python-oslo.metrics 0.4.0

=== debian/changelog ===
python-oslo.metrics (0.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/p/bug1945533.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:44:36 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

## python-oslo.metrics 0.5.0

=== debian/changelog ===
python-oslo.metrics (0.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:51:20 +0200

python-oslo.metrics (0.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 15:42:54 +0200

python-oslo.metrics (0.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 16:24:41 +0100

python-oslo.metrics (0.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:54:15 +0100

python-oslo.metrics (0.3.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:46:28 +0200

python-oslo.metrics (0.3.0-2) experimental; urgency=medium

  * Rebuilt source-only.
  * Added (c) 2020 LINE Corp. in d/copyright after FTP master remark.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Sep 2021 19:24:13 +0200

python-oslo.metrics (0.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #993120)

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Aug 2021 15:42:31 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/oslo.metrics.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.metrics-doc/usr/share/doc/python-oslo.metrics-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-oslo.metrics 0.6.0

=== debian/changelog ===
python-oslo.metrics (0.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045749).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 16:48:46 +0200

python-oslo.metrics (0.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:36:51 +0200

python-oslo.metrics (0.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:55:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	rm -rf build .stestr
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf doc/source/reference/api
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.metrics 0.7.0

=== debian/changelog ===
python-oslo.metrics (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 14:25:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr doc/source/reference *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 	rm -rf doc/source/reference/api

## python-oslo.metrics 0.8.0

=== requirements.txt ===
pbr!=2.1.0,>=3.1.1 # Apache-2.0

# General
oslo.utils>=3.41.0
oslo.log>=3.44.0
oslo.config>=6.9.0

# Metrics Exporter
prometheus-client>=0.6.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# For generating sphinx documentation
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

# For autodoc builds
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.metrics (0.8.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2024 12:36:41 +0000

python-oslo.metrics (0.8.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:27:27 +0000

python-oslo.metrics (0.7.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:53:40 -0400

python-oslo.metrics (0.6.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:16:19 -0500

python-oslo.metrics (0.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:20:07 -0400

python-oslo.metrics (0.4.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:17:51 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.metrics/ oslo.metrics-(\d.*)\.tar\.gz

## python-oslo.metrics 0.9.0

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-pbr!=2.1.0,>=3.1.1 # Apache-2.0
+pbr>=3.1.1 # Apache-2.0
 
 # General
 oslo.utils>=3.41.0

=== debian/changelog ===
python-oslo.metrics (0.9.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090572).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:41:40 +0100

python-oslo.metrics (0.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:54:39 +0200

python-oslo.metrics (0.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:06:26 +0200

python-oslo.metrics (0.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:37:45 +0200

python-oslo.metrics (0.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:22:58 +0100

python-oslo.metrics (0.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:37:31 +0200

=== debian/control ===
Source: python-oslo.metrics
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-bandit,
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-prometheus-client,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-oslo.metrics
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-oslo.metrics.git
Homepage: https://opendev.org/openstack/oslo.metrics

Package: python3-oslo.metrics
Architecture: all
Depends:
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-prometheus-client,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.metrics-doc,
Description: OpenStack Oslo Metrics API - Python 3.x
 This Oslo metrics API supports collecting metrics data from other Oslo
 libraries and exposing the metrics data to monitoring system.
 .
 This package contains the Python 3.x module.

Package: python-oslo.metrics-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Oslo Metrics API - doc
 This Oslo metrics API supports collecting metrics data from other Oslo
 libraries and exposing the metrics data to monitoring system.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/oslo.metrics/oslo.metrics-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-oslo.metrics 0.10.0

=== debian/changelog ===
python-oslo.metrics (0.10.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Sat, 18 Jan 2025 11:41:28 +0000

python-oslo.metrics (0.9.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 14:13:50 +0100

## python-oslo.metrics 0.11.0

=== debian/changelog ===
python-oslo.metrics (0.11.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:24:50 +0100

python-oslo.metrics (0.11.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:35:46 +0100

python-oslo.metrics (0.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed bandit and hacking from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:12:49 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-bandit,
  python3-coverage,
- python3-hacking,
  python3-openstackdocstheme,
  python3-oslo.config,
  python3-oslo.log,

## python-oslo.metrics 0.12.0+git2025070815.276d34d

=== debian/changelog ===
python-oslo.metrics (0.12.0+git2025070815.276d34d-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 24 Jul 2025 16:35:16 -0400

python-oslo.metrics (0.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:51:40 +0000

python-oslo.metrics (0.10.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 15:39:54 +0000

## python-oslo.metrics 0.13.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 pbr>=3.1.1 # Apache-2.0
 
 # General

=== doc/requirements.txt ===
# For generating sphinx documentation
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx>=1.8.0 # BSD
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

# For autodoc builds
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.metrics (0.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:04:55 +0200

python-oslo.metrics (0.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 16:48:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr doc/source/reference *.egg-info

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.metrics refs/tags/(\d[brc\d\.]+)

## python-oslo.metrics 0.14.0

=== debian/changelog ===
python-oslo.metrics (0.14.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 0.14.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/rules: enable sphinxdoc to build documentation
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 17:32:26 -0800

python-oslo.metrics (0.13.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).

 -- Myles Penner <myles.penner@canonical.com>  Fri, 12 Sep 2025 15:47:02 -0700

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_metrics

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.metrics/ oslo[._]metrics-(\d.*)\.tar\.gz

## python-oslo.metrics 0.15.1

=== debian/changelog ===
python-oslo.metrics (0.15.1-2) experimental; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Mar 2026 14:37:44 +0100

python-oslo.metrics (0.15.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 08:32:31 +0100

python-oslo.metrics (0.13.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045749).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 12:29:10 +0100
